# $Revision: 1.8 $, $Date: 2001/10/20 13:06:12 $
%include	/usr/lib/rpm/macros.perl
%define ver	1.05
%define subver	RC1
Summary:	Network monitoring program
Summary(pl):	Program do monitorowania sieci
Name:		demarc
Version:	%{ver}.%{subver}
Release:	3
License:	http://www.demarc.org/license/ (Free for non-commercial use)
Group:		Networking
Group(de):	Netzwerkwesen
Group(es):	Red
Group(pl):	Sieciowe
Group(pt_BR):	Rede
Source0:	http://www.demarc.org/downloads/demarc-105/%{name}-%{ver}-%{subver}.tar.gz
Source1:	%{name}-apache.conf
Source2:	%{name}.init
Source3:	%{name}.cron
Patch0:		%{name}-config.patch
Patch1:		%{name}-whois-fix.patch
URL:		http://www.demarc.org/
BuildRequires:	rpm-perlprov >= 4.0
BuildRequires:	perl >= 5.6
BuildRequires:	perl-CGI
BuildRequires:	perl-DBI
BuildRequires:	perl-Msql-Mysql-modules
BuildRequires:	perl-Digest-MD5
# BuildRequires:  perl(Apache::DBI)  (what package? FIXME)
Requires:	apache
Requires:	/etc/cron.d
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		%{_sbindir}

%description
DEMARC is an all-inclusive network monitoring program that allows you
to monitor an entire network of servers from one powerful web
interface.

Instead of having one program perform file integrity checks, another
program monitoring the connectivity and health of your network, and
yet another monitoring your network for intrusion detection attempts,
DEMARC combines all three services into one powerful client/server
program. Not only can you monitor the status of the different machines
in your network, but you can also respond to changes in your network
all from one centralized location.

%description -l pl
DEMARC to kompletny system monitorowania sieci pozwalajcy monitorowa
ca sie serwerw z jednego interfejsu www.

Zamiast posiada jeden program sprawdzajcy integralno plikw, inny
program monitorujcy poczenia i stan Twojej sieci, i jeszcze jeden
program monitorujcy sie w celach detekcji intruzw wystarczy DEMARC
czcy w sobie te trzy usugi w jednym programie klient/serwer. Nie
tylko moesz monitorowa stan rnych maszyn w Twojej sieci ale take
moesz reagowa na zmiany z jednej centralnej lokalizacji.

%package client
Summary:	Network monitoring program - client
Summary(pl):	Program do monitorowania sieci - klient
Requires:	snort(mysql) >= 1.8.1
Group:		Networking
Group(de):	Netzwerkwesen
Group(es):	Red
Group(pl):	Sieciowe
Group(pt_BR):	Rede

%description client
DEMARC is an all-inclusive network monitoring program that allows you
to monitor an entire network of servers from one powerful web
interface.

This is client program which should be installed on all monitored
servers.

%description -l pl client
DEMARC to kompletny system monitorowania sieci pozwalajcy monitorowa
ca sie serwerw z jednego interfejsu www.

To jest program kliencki, ktry powinien by zainstalowany na
wszystkich monitorowanych serwerach.

%prep
%setup -q -n %{name}-%{ver}-%{subver}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,cron.d,demarcd,httpd}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_datadir}/demarc/{images,cgi}
install -d $RPM_BUILD_ROOT/%{_var}/lib/demarcd

install %{SOURCE1}		$RPM_BUILD_ROOT/etc/httpd/%{name}.conf
install %{SOURCE2}		$RPM_BUILD_ROOT/etc/rc.d/init.d/demarcd
install %{SOURCE3}		$RPM_BUILD_ROOT/etc/cron.d/%{name}
install bin/demarcd		$RPM_BUILD_ROOT%{_sbindir}
install conf/*			$RPM_BUILD_ROOT/etc/demarcd
cp -ar  cgi images		$RPM_BUILD_ROOT%{_datadir}/demarc
install install/{c*,d*,p*}	$RPM_BUILD_ROOT%{_datadir}/demarc

gzip -9nf install/{CHAN*,INS*,LIC*}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo 'Remember to add "Include demarc.conf" to httpd.conf.'

%post client
if [ "$1" = "1" ] ; then
	touch /var/log/demarcd && chmod 750 /var/log/demarcd
fi
/sbin/chkconfig --add demarcd
if [ -f /var/lock/subsys/demarcd ]; then
        /etc/rc.d/init.d/demarcd restart 1>&2
else
	echo "Run \"%{_sbindir}/demarcd -I\" to install new snort sensor and then"
        echo "run \"/etc/rc.d/init.d/demarcd start\" to start demarcd daemon."
	echo "Note that in most cases there is no need to start \"snort\" as"
	echo "separate daemon, so turn it off using \"/sbin/chkconfig snort off\"."
fi


%preun client
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/demarcd ]; then
		/etc/rc.d/init.d/demarcd stop 1>&2
	fi
	/sbin/chkconfig --del demarcd
fi

%files
%defattr(644,root,root,755)
%doc install/*.gz
%dir %{_datadir}/demarc
%{_datadir}/demarc/create_mysql_demarc
%{_datadir}/demarc/db_patch_queries
%attr(755,root,root) %{_datadir}/demarc/*.pl

%dir %{_datadir}/demarc/cgi
%{_datadir}/demarc/cgi/StaticServices.pm
%attr(640,root,http) %{_datadir}/demarc/cgi/DEMARC_config.pm
%attr(755,root,root) %{_datadir}/demarc/cgi/demarc

%dir %{_datadir}/demarc/cgi/templates
%{_datadir}/demarc/cgi/templates/*

%dir %{_datadir}/demarc/images
%{_datadir}/demarc/images/*

%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/httpd/demarc.conf

%files client
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/demarcd
%attr(755,root,root) %{_sbindir}/demarcd
%attr(750,root,root) %dir /etc/demarcd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/demarcd/*.conf
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/demarcd/*.cmds
%attr(640,root,root) %config /etc/cron.d/%{name}
%attr(750,root,root) %{_var}/lib/demarcd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: demarc.spec,v $
Revision 1.8  2001/10/20 13:06:12  grzegorz
- demarcd should start after mysql :)
- release 3

Revision 1.7  2001/09/28 18:25:32  qboosh
- moved snort note to -client %%post
- added more path changes to config patch
- added whois-fix which fixes detection of BSD-style whois
- release 2

Revision 1.6  2001/09/25 14:59:44  qboosh
- added Prereq: /sbin/chkconfig (NFY)

Revision 1.5  2001/09/14 09:43:36  qboosh
- requires snort(mysql); NFY (need to fix at least whois detection)

Revision 1.4  2001/09/09 20:24:03  misiek
make FHS happy

Revision 1.3  2001/09/06 22:15:19  kloczek
- removed (redundant) Require: rc-scripts rule.
NOTE: /var/state/demarcd isn't FHS compliant.

Revision 1.2  2001/09/06 20:46:30  misiek
check if demarcd is running from cron job

Revision 1.1  2001/09/01 17:58:51  misiek
initial pld release
